package Lingua::AR::MacArabic;

require 5.006001;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK %EXPORT_TAGS);

require Exporter;
require DynaLoader;
require AutoLoader;

$VERSION = '0.00';
@ISA = qw(Exporter DynaLoader);
@EXPORT = qw(decodeMacArabic encodeMacArabic);

bootstrap Lingua::AR::MacArabic $VERSION;
1;
__END__

=head1 NAME

Lingua::AR::MacArabic - transcode between Macintosh Arabic and Unicode

=head1 SYNOPSIS

    use Lingua::AR::MacArabic;

    $wchar = decodeMacArabic($octet);
    $octet = encodeMacArabic($wchar);

   # $wchar : Perl's Unicode format
   # $octet : legacy byte string (i.e. in MacArabic)

=head1 STATUS

Tentative.

This module is free software; you can redistribute it
and/or modify it under the same terms as Perl itself.

=cut
