
BEGIN { $| = 1; print "1..12\n"; }
END {print "not ok 1\n" unless $loaded;}

use Lingua::AR::MacArabic;
$loaded = 1;
print "ok 1\n";

####

print 1
   && "" eq encodeMacArabic("")
   && "" eq decodeMacArabic("")
   && "Perl" eq encodeMacArabic("Perl")
   && "Perl" eq decodeMacArabic("Perl")
   ? "ok" : "not ok", " 2\n";

$ampLR = "\x{202D}\x2B\x{202C}";
$ampRL = "\x{202E}\x2B\x{202C}";

print $ampLR eq decodeMacArabic("\x2B")
   ? "ok" : "not ok", " 3\n";

print $ampRL eq decodeMacArabic("\xAB")
   ? "ok" : "not ok", " 4\n";

print "\x2B" eq encodeMacArabic($ampLR)
   ? "ok" : "not ok", " 5\n";

print "\xAB" eq encodeMacArabic($ampRL)
   ? "ok" : "not ok", " 6\n";

print "\x{C4}" eq decodeMacArabic("\x80")
   ? "ok" : "not ok", " 7\n";

print "\x80" eq encodeMacArabic("\x{C4}")
   ? "ok" : "not ok", " 8\n";

print "\x{6D2}" eq decodeMacArabic("\xFF")
   ? "ok" : "not ok", " 9\n";

print "\xFF" eq encodeMacArabic("\x{6D2}")
   ? "ok" : "not ok", " 10\n";

$longEnc = "\x24\x20\x28\x29";
$longUni = "\x{202D}\x{0024}\x{0020}\x{0028}\x{0029}\x{202C}";

print $longUni eq decodeMacArabic($longEnc)
   ? "ok" : "not ok", " 11\n";

print $longEnc eq encodeMacArabic($longUni)
   ? "ok" : "not ok", " 12\n";
